baseURL: https://kibibyte.ru/
locale: ru-RU
DefaultContentLanguage: ru
title: Вперед, в Интернет!
theme: PaperMod

enableRobotsTXT: true
buildDrafts: false
buildFuture: false
buildExpired: false

minify:
  disableXML: true
  minifyOutput: true

params:
  env: production # to enable google analytics, opengraph, twitter-cards and schema.
  title: Вперед, в Интернет! ☺
  description: "Каталог ссылок, которыми часто пользуются"
  keywords: [Blog, Portfolio, PaperMod]
  author: Сергей Швайко, SerW
  # author: ["Me", "You"] # multiple authors
  images: ["<link or path of image for opengraph, twitter-cards>"]
  DateFormat: "2 January 2006"
  defaultTheme: auto # dark, light
  # disableThemeToggle: false
  
#   contact:
#    email: DragonSerW.RU@gmail.com
#    phone: +7 (961) 512-80-80
#  subtitle: Каталог часто-употребляемых закладок

  ShowReadingTime: false
  ShowShareButtons: true
  ShowPostNavLinks: true
  ShowBreadCrumbs: true
  ShowCodeCopyButtons: true
  ShowWordCount: false
  ShowRssButtonInSectionTermList: false
  UseHugoToc: true
  disableSpecial1stPost: false
  disableScrollToTop: false
  comments: false
  hidemeta: false
  hideSummary: false
  showtoc: false
  tocopen: false

#  assets:
    # disableHLJS: true # to disable highlight.js
    # disableFingerprinting: true
#    favicon: "</favicon.ico>"
#    favicon16x16: "</favicon-16x16.png>"
#    favicon32x32: "</favicon-32x32.png>"
#    apple_touch_icon: "</apple-touch-icon.png>"
#    safari_pinned_tab: "</safari-pinned-tab.svg>"

  label:
    text: "Вперед, в Интернет!"
    icon: /apple-touch-icon.png
    iconHeight: 35

  # profile-mode
  profileMode:
    enabled: false # needs to be explicitly set
    title: Вперед, в Интернет!
    subtitle: "Веб-сайт с полезными ссылками"
    imageUrl: "<img location>"
    imageWidth: 120
    imageHeight: 120
    imageTitle: my image
    buttons:
      - name: Posts
        url: posts
      - name: Tags
        url: tags

  # home-info mode
  homeInfoParams:
    Title: "Пожалуй, это все, что я вам хотел сказать"
    Content: Спасибо огромное что вы зашли в мой веб-сайт!

  socialIcons:
#    - name: x
#      url: "https://x.com/"
#    - name: stackoverflow
#      url: "https://stackoverflow.com"
    - name: github
      url: "https://github.com/DragonSerW"

  analytics:
    google:
      SiteVerificationTag: "XYZabc"
    bing:
      SiteVerificationTag: "XYZabc"
    yandex:
      SiteVerificationTag: "923721ecef1eed62"

  cover:
    hidden: true # hide everywhere but not in structured data
    hiddenInList: true # hide on list pages and home
    hiddenInSingle: true # hide on single page

#  editPost:
#    URL: "https://github.com/<path_to_repo>/content"
#    Text: "Suggest Changes" # edit text
#    appendFilePath: true # to append file path to Edit link

  # for search
  # https://fusejs.io/api/options.html
  fuseOpts:
    isCaseSensitive: false
    shouldSort: true
    location: 0
    distance: 1000
    threshold: 0.4
    minMatchCharLength: 0
    limit: 10 # refer: https://www.fusejs.io/api/methods.html#search
    keys: ["title", "permalink", "summary", "content"]
menu:
  main:
    - identifier: about
      name: Обо мне
      url: /about/
      weight: 10
    - identifier: contact-us
      name: Связаться
      url: /contact-us/
      weight: 20
    - identifier: radio
      name: Радио
      url: /radio/
      weight: 30
    - identifier: web-weaving
      name: Программирование веб-сайта
      url: https://dragonserw.ru/offero:web-weaving
      weight: 40
# Read: https://github.com/adityatelange/hugo-PaperMod/wiki/FAQs#using-hugos-syntax-highlighter-chroma
pygmentsUseClasses: true
markup:
  highlight:
    noClasses: false
    # anchorLineNos: true
    # codeFences: true
    # guessSyntax: true
    # lineNos: true
    # style: monokai
